body 
{
    
     background-color: #000000;
     scroll-behavior: smooth;
     
     color: #e6e6e6;
     font-family: "Inter", sans-serif;   
     font-optical-sizing: auto;   
     min-height: 100vh; 
}

.input-height {
    height: 38px;
    line-height: 38px;
}

.pagecenter {
     min-height: 90vh; 
     display: flex;
     justify-content: center; 
     align-items: center;    

}
.loginbox {
    background-color: rgb(6, 31, 41);
    border: 1px solid whitesmoke;
    text-align: center;
    padding: 10px;  
    justify-content: center; 
    align-items: center;  
    width: 90%;
    max-width: 700px; 
    
}
.inputbox {
    border-radius: 5px;
    width: 80%;
}


.site-footer {
  background: #111;
  color: #ccc;
  text-align: justify;
  padding: 15px 0;
}
.site-footer a {
    margin: 10px;
}

.signin-btn {
    
    padding: 6px 18px;
    border-radius: 20px;
    width: 120px;
    border: 2px solid white;
    color: white;
    text-decoration: none;
    font-weight: 500;
    background: black;
    transition: all 0.3s ease;
}
.signin-btn:hover {
    background-color: #3BC9DB;
    border-color: #3BC9DB;
    transform: scale(1.05);
}
.phoneinp {
    display: flex;
    width: 80%;
    border-radius: 5px;
    margin: 0 auto;
   
}
#regext {
    width: 70px;  
    border-radius: 5px;       
    flex-shrink: 0;

}
#regphone {
    flex: 1;             
    min-width: 0; 
    border-radius: 5px;
    
}

.dashboardcenter {  
     display: flex;
     justify-content: center; 
     margin-top: 100px; 
}

.userdetailsbox {
    background-color: rgb(6, 31, 41);
    border: 1px solid whitesmoke;
    text-align: center;
    padding: 10px;  
    justify-content: center; 
    align-items: center;  
    width: 100%;
    /*max-width: 1200px;*/ 
    overflow-x: scroll;
    
}
.username {
    display: flex;
    justify-content: left; 
    padding-top: 10px;
    padding-left: 50px;
}

#loadingmessagebox
{
    position:fixed;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 50%;
    width: 50vw;
    align-items: center;  
    padding: 10px;
}

#loadingmessageblocker
{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9999;
    backdrop-filter: blur(5px);
    /*display: none;*/
}

.message-text {
    /*border: solid red;  */
    text-align: left;   
}

.spinnercontainer {
    /*border: solid blue;*/
    align-content: center;   
}

/*Searchable timzone*/
.ts-wrapper {
    width: 75%;
    margin: 0 auto;
}
.ts-control {
    height: 38px;
    line-height: 38px;
    border-radius: 5px;
    padding: 0 10px;
}
.ts-control input {
    line-height: 38px;
}

.timezonecontainer {
    display: flex;
}

.upcomingClass {
        border: 1px solid whitesmoke;
        margin: 20px;
        padding: 20px;
        max-width: 700px;
        background-color: rgba(80, 211, 5, 0.443);
        color: rgb(255, 255, 255);
        display: none;
        
}
.ucbadge {
    margin: 10px;
}
.ucdetails {
    margin-left: 20px;
}

